Integration Tests are Failing

#1

Integration test are failling from both source as well as while running docker image
PFA screens for both
left: docker
right: source

#2

The one on the left is fine – it just means that bitcoind terminated faster than expected. The SUCCESS you see at the bottom indicates that everything went as expected.

The one on the right means you need bitcoind version 0.17. You seem to have 0.18.

#3

Thanks Jude for this
Any reasons why bitcoind shut down faster than expected?

i didnt see the commands yet,
still figuring out the docker image id to check whats happening in the background

#4

The test framework asks it to terminate multiple times (in an exponential back-off fashion) before outright terminating it. If the bitcoind node terminates and is asked to terminate again, the request will (naturally) fail, and you’ll see that message.

#5

Hi Jude, i wanted to run tests from source and wanted to change the bitcoind version,
where can i change the same ?

#6

You have to use bitcoind 0.17.x. Later versions of bitcoind deprecate RPC functionality that the test framework depends on.